---
title: "Register your game"
draft: false
---
_Sketchy Maze_ is a free (shareware) game and is intended to be fully functional
in its free form, but for buying the game and supporting its creator you can
unlock some additional features to make custom content and modding _much_
easier to do.

The notable features that registering your game will unlock
(as of [v0.10.1](/posts/release-v0.10.1/)) include:

* The ability to [publish](https://www.sketchymaze.com/guidebook/custom-levels/publishing.html)
  and play levels which **embed their custom doodads** _inside_ the level file for
  easy transport to "just play" on another registered copy of the game.
* And by extension, the ability to play a custom Level Pack which embeds custom doodads.

## Where to buy it

Since the game is still in beta, I'll give you an activation key if you give me
_any_ amount of money for it. When the "1.0" of the game launches, it will have
a page on [Itch.io](https://itch.io) for a more structured storefront but for
now I have a couple of options for you:

* Support me [on Patreon](https://www.patreon.com/kirsle) at least once.
* Send me a one-off donation on [Paypal](https://www.paypal.com/donate?business=Q9TER3KLPK8XG&no_recurring=0&currency_code=USD).

<form action="https://www.paypal.com/donate" method="post" target="_top">
<input type="hidden" name="business" value="Q9TER3KLPK8XG" />
<input type="hidden" name="no_recurring" value="0" />
<input type="hidden" name="currency_code" value="USD" />
<input type="image" src="https://www.paypalobjects.com/en_US/i/btn/btn_donate_LG.gif" border="0" name="submit" title="PayPal - The safer, easier way to pay online!" alt="Donate with PayPal button" />
<img alt="" border="0" src="https://www.paypal.com/en_US/i/scr/pixel.gif" width="1" height="1" />
</form>

If you have any questions, you can reach me at [support@sketchymaze.com](mailto:support@sketchymaze.com).
Also, check out the [Discord server](/discord)!

## Buy once, free updates forever

The way this is going to work is that you buy the game just **one** time and
get free updates to the game for as long as I find it interesting to develop.
The early releases will be inexpensive and will go up as the game gains more
features and popularity, so early adopters can get in on the later updates for
a lower price!

## No DRM

The game is activated by selecting a signed "license key" file and validating it
completely off-line. If the game accepts your license key today, it will do so
forever -- it's yours.

## Piracy

When I start to discover license keys leaked onto piracy websites, I reserve the
right to have future releases of Sketchy Maze block those keys going forward.
The license key would continue to work, forever, on previous versions of the
game that accepted it before.

Keep your key for yourself and it's yours forever and gets free updates
forever.

## In case of key rotation

In the unlikely but not impossible scenario that my "signing keys" for
license files were stolen, a future release of _Sketchy Maze_ would need to
install new keys which would render all previously issued licenses invalid.
In such an event, all existing customers with valid license keys will be
entitled to an updated license that would continue to work with future
releases of the game.
